Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Fix Ruby 1.8 compat in Gemfile w/ development group.

Fix issues with correct ruby-debug include for 1.8 vs. 1.9 compatibility.

Also, group all development gems into a development group so jeweler will auto-generate the gemspec correctly.
  • Loading branch information...
commit 19a3e37bf465dc6f8cc3b5d0d6419b34c376a37e 1 parent ccd80c7
Winfield Peterson authored
Showing with 19 additions and 18 deletions.
  1. +10 −4 Gemfile
  2. +9 −14 Gemfile.lock
View
14 Gemfile
@@ -1,6 +1,12 @@
source "http://rubygems.org"
-gem 'rake'
-gem 'jeweler'
-gem 'rspec', :require => 'spec'
-gem 'ruby-debug19'
+group :development do
+ gem 'rake'
+ gem 'jeweler'
+ gem 'rspec', :require => 'spec'
+ if RUBY_VERSION < "1.9"
+ gem 'ruby-debug'
+ else
+ gem 'ruby-debug19'
+ end
+end
View
23 Gemfile.lock
@@ -1,7 +1,6 @@
GEM
remote: http://rubygems.org/
specs:
- archive-tar-minitar (0.5.2)
columnize (0.3.6)
diff-lcs (1.1.3)
git (1.2.5)
@@ -9,9 +8,10 @@ GEM
bundler (~> 1.0)
git (>= 1.2.5)
rake
- linecache19 (0.5.12)
- ruby_core_source (>= 0.1.4)
+ linecache (0.46)
+ rbx-require-relative (> 0.0.4)
rake (0.9.2.2)
+ rbx-require-relative (0.0.5)
rspec (2.8.0)
rspec-core (~> 2.8.0)
rspec-expectations (~> 2.8.0)
@@ -20,16 +20,11 @@ GEM
rspec-expectations (2.8.0)
diff-lcs (~> 1.1.2)
rspec-mocks (2.8.0)
- ruby-debug-base19 (0.11.25)
- columnize (>= 0.3.1)
- linecache19 (>= 0.5.11)
- ruby_core_source (>= 0.1.4)
- ruby-debug19 (0.11.6)
- columnize (>= 0.3.1)
- linecache19 (>= 0.5.11)
- ruby-debug-base19 (>= 0.11.19)
- ruby_core_source (0.1.5)
- archive-tar-minitar (>= 0.5.2)
+ ruby-debug (0.10.4)
+ columnize (>= 0.1)
+ ruby-debug-base (~> 0.10.4.0)
+ ruby-debug-base (0.10.4)
+ linecache (>= 0.3)
PLATFORMS
ruby
@@ -38,4 +33,4 @@ DEPENDENCIES
jeweler
rake
rspec
- ruby-debug19
+ ruby-debug
Please sign in to comment.
Something went wrong with that request. Please try again.